> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all versions of a specific Model Deployment

> Retrieves summary information for all historical versions of a Model Deployment.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions:
    get:
      tags:
        - ModelDeployment
      summary: Retrieve all versions of a specific Model Deployment
      description: >-
        Retrieves summary information for all historical versions of a Model
        Deployment.
      operationId: getModelDeploymentVersions
      parameters:
        - description: The id of the Model Deployment to update
          in: path
          name: modelDeploymentId
          required: true
          schema:
            type: string
        - description: The number of result to retrieve. Defaults to 25.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: The offset from the first element to start retrieving from.
          in: query
          name: offset
          required: false
          schema:
            default: 25
            type: integer
        - description: >-
            Field to order results by. Format is the name of the field
            optionally followed by a space and either ASC or DESC. Field name
            can be name, type, status, creationTimestamp, or updateTimestamp. If
            not specified, defaults to "name ASC".
          in: query
          name: orderBy
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDeploymentPaginatedList'
          description: >-
            A paginated list of all Model Deployment versions for a specific
            Model Deployment.
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelDeploymentPaginatedList:
      properties:
        items:
          description: The Model Deployments in the paginated list.
          items:
            $ref: '#/components/schemas/ModelDeployment'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - items
        - metadata
    ModelDeployment:
      description: Model Deployment
      properties:
        collaborators:
          description: List of collaborators, if any
          items:
            $ref: '#/components/schemas/ModelDeploymentCollaborator'
          type: array
        configuration:
          $ref: '#/components/schemas/ModelDeploymentConfiguration'
        creationTimestamp:
          example: '2023-07-15T14:35:47.89Z'
          format: date-time
          type: string
        creatorInfo:
          $ref: '#/components/schemas/CreatorInfo'
        deploymentTargetInfo:
          $ref: '#/components/schemas/DeploymentTargetInfo'
        description:
          example: >-
            This endpoint is designed to provide businesses with insights into
            their customer retention patterns.
          type: string
        id:
          description: The id of the Model Deployment.
          example: 614e40a7-0509-4cae-89af-55e2097b817d
          nullable: false
          type: string
        isGloballyAccessible:
          description: >-
            Whether the Model Deployment is viewable by Domino Users who are not
            collaborators
          type: boolean
        models:
          description: Models associated with this Model Deployment.
          items:
            $ref: '#/components/schemas/ModelDetail'
          type: array
        name:
          example: Income Classifier Deployment
          nullable: false
          type: string
        remoteUpdateTimestamp:
          example: '2023-07-16T19:20:30.45Z'
          format: date-time
          type: string
        resourceConfigurationInfo:
          $ref: '#/components/schemas/ResourceConfigurationInfo'
        status:
          $ref: '#/components/schemas/ModelDeploymentStatus'
        version:
          example: 23
          nullable: false
          type: integer
      required:
        - id
        - name
        - description
        - version
        - creatorInfo
        - collaborators
        - isGloballyAccessible
        - deploymentTargetInfo
        - resourceConfigurationInfo
        - models
        - configuration
        - deploymentType
        - creationTimestamp
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    ModelDeploymentCollaborator:
      properties:
        id:
          description: Id of collaborating user or organization
          example: 66a84107c774610134ae3a28
          type: string
        role:
          description: Collaborator's role in the project
          enum:
            - CONSUMER
            - OWNER
          type: string
      required:
        - id
        - role
      type: object
    ModelDeploymentConfiguration:
      description: The Model Deployment configuration
      properties:
        deploymentType:
          description: The deployment type specific configuration
          properties:
            modelConfigs:
              additionalProperties:
                type: object
              description: The model-specific configurations
              type: object
            sharedConfig:
              description: The configurations shared by all models in the deployment
              type: object
            type:
              description: The type of the deployment
              enum:
                - SYNC_ENDPOINT
                - ASYNC_ENDPOINT
              example: SYNC_ENDPOINT
              type: string
          required:
            - type
            - sharedConfig
            - modelConfigs
          type: object
        modelConfigs:
          additionalProperties:
            type: object
          description: The model-specific configurations
          type: object
        sharedConfig:
          description: The configurations shared by all models in the deployment
          type: object
      required:
        - sharedConfig
        - modelConfigs
        - deploymentType
      type: object
    CreatorInfo:
      description: Information about the creator of a Model Deployment
      properties:
        id:
          description: Id of the creator
          example: ABC-123
          nullable: false
          type: string
        username:
          description: Username of the creator
          example: Production
          nullable: false
          type: string
      required:
        - id
        - username
      type: object
    DeploymentTargetInfo:
      description: >-
        Information about a Deployment Target and its corresponding Deployment
        Target Type
      properties:
        id:
          description: Id of the Deployment Target
          example: ABC-123
          nullable: false
          type: string
        name:
          description: Name of the Deployment Target
          example: Production
          nullable: false
          type: string
        typeName:
          description: Name of the Deployment Target Type
          example: AWS SageMaker
          nullable: false
          type: string
      required:
        - id
        - name
        - typeName
      type: object
    ModelDetail:
      properties:
        environmentId:
          description: The id of the Domino environment.
          type: string
        environmentName:
          description: The name of the Domino environment.
          type: string
        name:
          example: XYZ Model
          nullable: false
          type: string
        projectId:
          description: The id of the Domino project the source belongs to.
          type: string
        source:
          $ref: '#/components/schemas/ModelDetailSource'
      required:
        - name
        - environmentId
        - environmentName
        - projectId
        - source
    ResourceConfigurationInfo:
      description: Information about a Resource Configuration
      properties:
        configuration:
          description: >-
            Configuration of the Resource Configuration following the schema in
            its Deployment Target Type
          type: object
        id:
          description: Id of the Resource Configuration
          example: ABC-123
          nullable: false
          type: string
        name:
          description: Name of the Resource Configuration
          example: Large
          nullable: false
          type: string
      required:
        - id
        - name
        - configuration
      type: object
    ModelDeploymentStatus:
      description: The Model Deployment status
      properties:
        message:
          description: >-
            Message indicating error or other status information about the most
            recent operation. This field is required in this location for Domino
            model deployment schemas.
          type: string
        modelOperations:
          additionalProperties:
            items:
              $ref: '#/components/schemas/ModelDeploymentStatusOperation'
            type: array
          description: >-
            Model-specific operations supported by this model deployment. This
            field is required with this structure in this location for Domino
            model deployment schemas.
          type: object
        modelStates:
          additionalProperties:
            type: object
          description: The model-specific states
          type: object
        sharedOperations:
          description: >-
            Operations supported by this model deployment. This field is
            required with this structure in this location for Domino model
            deployment schemas.
          items:
            $ref: '#/components/schemas/ModelDeploymentStatusOperation'
          type: array
        sharedState:
          description: The state shared by all models in the deployment
          type: object
        state:
          description: >-
            Standard Domino state value. This field is required in this location
            for Domino model deployment schemas.
          enum:
            - STARTING
            - RUNNING
            - UPDATING
            - STOPPING
            - STOPPED
            - FAILED
            - DELETING
            - DELETED
          type: string
      required:
        - state
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    ModelDetailSource:
      description: Model Deployment Model Detail Source
      properties:
        registeredModelName:
          description: The name of the registered model served by this source.
          example: Growth Forecasting Model
          nullable: false
          type: string
        registeredModelType:
          description: The type of this model source.
          enum:
            - MODELREGISTRY
          example: MODELREGISTRY
          type: string
        registeredModelVersion:
          description: The version of the registered model served by this source.
          example: 3
          nullable: false
          type: integer
      required:
        - registeredModelName
        - registeredModelVersion
        - registeredModelType
    ModelDeploymentStatusOperation:
      properties:
        credentials:
          properties:
            expirationTime:
              format: date-time
              type: string
            keys:
              description: >-
                This field provides the names of properties provided by this
                credential.
              items:
                type: string
              type: array
            type:
              $ref: '#/components/schemas/CredentialsType'
          required:
            - type
            - keys
            - expirationTime
          type: object
        examplePayload:
          format: json
          type: string
        examples:
          items:
            properties:
              code:
                type: string
              format:
                type: string
              language:
                type: string
              request:
                type: string
            type: object
          type: array
        fields:
          additionalProperties:
            type: string
          type: object
        metadata:
          description: >-
            This field provides metadata needed for an API user to invoke the
            operation.
          properties:
            operations:
              items:
                type: string
              type: array
            service:
              type: string
            type:
              type: string
          required:
            - type
            - operations
          type: object
        type:
          description: >-
            This field provides identifiers for the operations supported by this
            type of model deployment.
          type: string
      required:
        - type
        - metadata
        - fields
      type: object
    CredentialsType:
      description: >-
        This field identifies the type of credential.  The `enum` value limits
        the possibilities to what this model deployment supports.
      enum:
        - AWS
        - HMAC
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````